<!DOCTYPE html>
<html lang="en">

<head><meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>爱说才会赢</title>
</head>

<body>
  <div style="display: flex; flex-direction: column; align-items: center; justify-content: center; height: 200pt">
    <p>请稍候，我们将您重定向到爱说才会赢应用...</p>
    <p><a href="javascript:redirectToApp()">爱说才会赢</a></p>
  </div>
  <script>
    var redirectToApp = function () {
      var scheme = "voiceoverapp";
      // var openURL = "video" + window.location.search + window.location.hash;
      var openURL = "video" + "/?id=77db563e-551d-4d1e-8a92-5f16de34d697" + window.location.hash;
      var iOS = /iPad|iPhone|iPod/.test(navigator.userAgent);
      var Android = /Android/.test(navigator.userAgent);
      var newLocation;
      if (iOS) {
        newLocation = scheme + ":" + openURL;
      } else if (Android) {
        newLocation = "intent://" + openURL + "#Intent;scheme=" + scheme + ";package=com.digitalgalaxy.voiceoverapp;end";
      } else {
        newLocation = scheme + "://" + openURL;
      }

      console.log(newLocation)
      window.location =newLocation
    }
    window.onload = redirectToApp;
  </script>
</body>
</html>